%define _unpackaged_files_terminate_build 1
%define oname setproctitle

%def_enable check

Name: python3-module-%oname
Version: 1.2.3
Release: alt1

Summary: A library to allow customization of the process title
License: BSD
Group: Development/Python3
Url: https://pypi.python.org/pypi/setproctitle/
VCS: https://github.com/dvarrazzo/py-setproctitle.git

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
%if_enabled check
BuildRequires: /proc
BuildRequires: python3-module-pytest
%endif

%py3_provides %oname

%description
The library allows a process to change its title (as displayed by system
tools such as ps and top).

%prep
%setup

%build
%python3_build

%install
%python3_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir/
python3 -m pytest -k "not embedded" -vra

%files
%doc *.rst
%python3_sitelibdir/*

%changelog
* Thu Jun 23 2022 Danil Shein <dshein@altlinux.org> 1.2.3-alt1
 - new version 1.2.3

* Tue May 12 2020 Andrey Bychkov <mrdrew@altlinux.org> 1.1.10-alt3
- Deprecation warning fixed (Closes #38459).

* Fri Apr 03 2020 Andrey Bychkov <mrdrew@altlinux.org> 1.1.10-alt2
- Build for python2 disabled.

* Thu Mar 22 2018 Aleksei Nikiforov <darktemplar@altlinux.org> 1.1.10-alt1.1.1
- (NMU) Rebuilt with python-3.6.4.

* Fri Feb 02 2018 Stanislav Levin <slev@altlinux.org> 1.1.10-alt1.1
- (NMU) Fix Requires and BuildRequires to python-setuptools

* Tue Jan 03 2017 Anton Midyukov <antohami@altlinux.org> 1.1.10-alt1
- New version 1.1.10
- Disable check

* Thu Mar 17 2016 Ivan Zakharyaschev <imz@altlinux.org> 1.1.9-alt1.dev0.git20140903.1
- (NMU) rebuild with python3-3.5 & rpm-build-python3-0.1.10
  (for ABI dependence and new python3(*) reqs)

* Fri Nov 21 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.9-alt1.dev0.git20140903
- Initial build for Sisyphus

